Subject: RFC:2338-8.3 Proxy ARP

From: "J.C. Roberts" <[email-masked]>
Date: Sun, 02 Sep 2001 12:24:06 -0700

According to RFC 2338 section 8.3:

   If Proxy ARP is to be used on a VRRP router, then the VRRP router
   must advertise the Virtual Router MAC address in the Proxy ARP
   message.  Doing otherwise could cause hosts to learn the real MAC
   address of the VRRP router.

A proxy arp by definition is a host that responds to broadcast
requests for a particular IP (that isn't assigned to any of it's own
interfaces) with a particular predesignated MAC.

This statement doesn't lend to clarity of the document since a proxy
arp is already defined as exactly what it states.

You can very easily set all members of a virtual router to Proxy ARP
the router IP address(es) with the VRMAC address. Although it's added
(redundant) traffic I doubt it would be much.

JCR